      program les_boucles
      implicit none
      integer im,jm,i,j
      parameter (im=3,jm=2)
      real xxx(im,jm)
      do j=1,jm
         print*,'boucle exterieur j=',j
         do i=1,im
            print*,'boucle interieure i=',i
            xxx(i,j)=10.*j+i
         enddo
      enddo
      print*,'Le tableau xxx contient les elements ',xxx,
     s   ' ranges dans cet ordre.'
      print*,'xxx(1,2)=',xxx(1,2)
      print*,'premiere ligne du tableau xxx :',(xxx(i,1),i=1,im)
      print*,'premiere ligne du tableau xxx :',xxx(:,1)

      end
